Summary: logs TCP, ICMP and UDP connections.
Name: ippl
Version: 1.4.4
Release: 1
Packager: Curtis Ireland <cireland@vsynth.carleton.ca>
URL: http://www.via.ecp.fr/~hugo/ippl/
Source: ippl-%{version}.tar.gz
Source1: ippl-%{version}.tar.gz.sign
Source2: ippl.init
Source3: ippl.log
Patch0: ippl-log.patch
Copyright: distributable
Group: Networking/Daemons
Buildroot: /tmp/ippl-build
Prereq: /sbin/chkconfig

%description
ippl is a configurable IP protocols logger. It currently logs incoming ICMP
messages, TCP connections and UDP datagrams. It is configured with
Apache-like rules and has a built-in DNS cache. It is aimed to replace
iplogger.

%changelog
* Tue Apr 13 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.3 (For archival purposes)
- Package for ippl 1.4.4

* Thu Apr 08 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.2

* Tue Apr 06 1999 Charles R. Anderson <cra@wpi.edu>
- Made buildable by normal user
- Added /var/log/ippl directory to package

* Mon Apr 05 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.1

* Sat Mar 27 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.0

* Mon Mar 22 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Add patch to fix ident problems

* Tue Mar 16 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.9
- Added package signature for verification

* Tue Mar 16 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.8 (Bug Fix version)
- Package for ippl 1.3.7

* Mon Mar 15 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.6 (1.3.4 -> 1.3.5 were development releases)
- Adjust script to accommodate configure script

* Mon Mar 08 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.3

* Mon Mar 08 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.2 (Through patch)
- Allows for compiles on libc5 systems

* Sun Mar 07 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.2.4
- Patch ippl 1.2.4 -> 1.3.1

* Thu Mar 04 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.2.2

* Mon Mar 01 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.2
- ippl.conf patch to enable file logging into ippl.log

* Mon Feb 22 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.1
- PGP signed packages

* Wed Feb 17 1999 Curtis Ireland <cireland@vsynth.carlrton.ca>
- Fixed typo in the ippl.init file
- Includes /var/log/ippl.log
- Added logrotate file

* Tue Feb 16 1999 Curtis Ireland <cireland@vsynth.carlrton.ca>
- Creaded rpm from ippl package.

%prep
%setup

%patch0 -p0 -b .log

%build
# Make binaries
./configure --prefix=/usr --sysconfdir=/etc --with-user=nobody

make

%install
rm -rf $RPM_BUILD_ROOT

mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/usr
mkdir $RPM_BUILD_ROOT/usr/man
mkdir $RPM_BUILD_ROOT/usr/man/man8
mkdir $RPM_BUILD_ROOT/usr/man/man5
mkdir $RPM_BUILD_ROOT/etc
mkdir $RPM_BUILD_ROOT/etc/rc.d
mkdir $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir $RPM_BUILD_ROOT/etc/logrotate.d
mkdir $RPM_BUILD_ROOT/var
mkdir $RPM_BUILD_ROOT/var/log
mkdir $RPM_BUILD_ROOT/var/log/ippl

make ROOT=$RPM_BUILD_ROOT install

touch $RPM_BUILD_ROOT/var/log/ippl/all.log
install -m755 $RPM_SOURCE_DIR/ippl.init \
              $RPM_BUILD_ROOT/etc/rc.d/init.d/ippl
install -m644 $RPM_SOURCE_DIR/ippl.log \
              $RPM_BUILD_ROOT/etc/logrotate.d/ippl


%clean
[ "$RPM_BUILD_ROOT" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ippl

%postun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del ippl
fi


%files
%defattr(-,root,root)
%doc BUGS CREDITS HISTORY INSTALL LICENSE README TODO
%config /etc/ippl.conf
%config /etc/rc.d/init.d/ippl
/etc/logrotate.d/ippl
%dir /var/log/ippl
/var/log/ippl/all.log
/usr/man/man5/ippl.conf.5
/usr/man/man8/ippl.8
/usr/sbin/*
